/*	ascii.h - ASCII character values.
	(C) Copyright 1983 Gregory R. Mansfield - All Rights Reserved.
	G. R. Mansfield.  83/07/09.
	Ver 1.2-5905.
*/

#define CV_NUL	0x00	/* null */
#define CV_SOH	0x01	/* start of header */
#define CV_STX	0x02	/* start of text */
#define CV_ETX	0x03	/* end of text */
#define CV_EOT	0x04	/* end of transmission */
#define CV_ENQ	0x05	/* enquire */
#define CV_ACK	0x06	/* acknowledge */
#define CV_BEL	0x07	/* bell */
#define CV_BS	0x08	/* backspace */
#define CV_HT	0x09	/* horizontal tab */
#define CV_LF	0x0A	/* line feed */
#define CV_VT	0x0B	/* vertical tab */
#define CV_FF	0x0C	/* form feed */
#define CV_CR	0x0D	/* carriage return */ 
#define CV_SO	0x0E	/* shift out */
#define CV_SI	0x0F	/* shift in */

#define CV_DLE	0x10	/* data link escape */
#define CV_DC1	0x11	/* device control 1 */
#define CV_DC2	0x12	/* device control 2 */
#define CV_DC3	0x13	/* device control 3 */
#define CV_DC4	0x14	/* device control 4 */
#define CV_NAK	0x15	/* negative acknowledge */
#define CV_SYN	0x16	/* synchronous idle */
#define CV_ETB	0x17	/* end transmission block */
#define CV_CAN	0x18	/* cancel */
#define CV_EM	0x19	/* end of medium */
#define CV_SUB	0x1A	/* substitute */
#define CV_ESC	0x1B	/* escape */
#define CV_FS 	0x1C	/* file separator */
#define CV_GS	0x1D	/* group separator */
#define CV_RS	0x1E	/* record separator */
#define CV_US	0x1F	/* unit separator */

#define CV_SP	0x20	/* SPACE */
#define CV_DEL	0x7F	/* DELETE */

#define CV_SS3	0x8F	/* SS3 */
#define CV_CSI	0x9B	/* CSI */

#define CV_CTA	0x01	/* ^A (SOH) */
#define CV_CTB	0x02	/* ^B (STX) */
#define CV_CTC	0x03	/* ^C (ETX) */
#define CV_CTD	0x04	/* ^D (EOT) */
#define CV_CTE	0x05	/* ^E (ENQ) */
#define CV_CTF	0x06	/* ^F (ACK acknowledge) */
#define CV_CTG	0x07	/* ^G (BEL bell) */
#define CV_CTH	0x08	/* ^H (BS backspace) */
#define CV_CTI	0x09	/* ^I (HT horizontal tab) */
#define CV_CTJ	0x0A	/* ^J (LF line feed) */
#define CV_CTK	0x0B	/* ^K (VT vertical tab) */
#define CV_CTL	0x0C	/* ^L (FF form feed) */
#define CV_CTM	0x0D	/* ^M (CR carriage return) */ 
#define CV_CTN	0x0E	/* ^N (SO shift out) */
#define CV_CTO	0x0F	/* ^O (SI shift in) */

#define CV_CTP	0x10	/* ^P (DLE data link escape) */
#define CV_CTQ	0x11	/* ^Q (DC1 device control 1) */
#define CV_CTR	0x12	/* ^R (DC2 device control 2) */
#define CV_CTS	0x13	/* ^S (DC3 device control 3) */
#define CV_CTT	0x14	/* ^T (DC4 device control 4) */
#define CV_CTU	0x15	/* ^U (NAK negative acknowledge) */
#define CV_CTV	0x16	/* ^V (SYN synchronous idle) */
#define CV_CTW	0x17	/* ^W (ETB end transmission block) */
#define CV_CTX	0x18	/* ^X (CAN cancel) */
#define CV_CTY	0x19	/* ^Y (EM end of medium) */
#define CV_CTZ	0x1A	/* ^Z (SUB substitute) */
