/*	ctypem.h - character classification macros.
	K & R page 127.
	Entered - G. R. Mansfield.  84/06/06.
	Ver 1.0-4801.
*/

#define isascii(c) ((c) < 0x80)
#define isalpha(c) ((c) >= 'a' && (c) <= 'z' || (c) >= 'A' && (c) <= 'Z')
#define isupper(c) ((c) >= 'A' && (c) <= 'Z')
#define islower(c) ((c) >= 'a' && (c) <= 'z')
#define isdigit(c) ((c) >= '0' && (c) <= '9')
#define isxdigit(c) (isdigit((c)) || (c) >= 'A' && (c) <= 'F' \
		|| (c) >= 'a' && (c) <= 'f')
#define isalnum(c) (isalpha((c)) || isdigit((c)))
#define isspace(c) ((c) == ' ' || (c) == '\r' || (c) == '\n')
#define iscntl(c) ((c) < 0x20 || (c) == 0x7F)
#define ispunct(c) (isascii((c)) && ! iscntl((c)) && ! isalnum((c)))
#define isprint(c) (isascii((c)) && ! iscntl((c)))
#define toupper(c) (islower((c)) ? (c) - 32 : (c))
#define tolower(c) (isupper((c)) ? (c) + 32 : (c))
