/*	kbdio.h - keyboard I/O.
	(C) Copyright 1985 Cray Research Inc. - All Rights Reserved.
	G. R. Mansfield.  85/07/22.
	Ver 1.0-5722.
*/

#define KBD_A1 302	/* Alt-1 */
#define KBD_A2 303	/* Alt-2 */
#define KBD_A3 304	/* Alt-3 */
#define KBD_A4 305	/* Alt-4 */
#define KBD_A5 306	/* Alt-5 */
#define KBD_A6 307	/* Alt-6 */
#define KBD_A7 308	/* Alt-7 */
#define KBD_A8 309	/* Alt-8 */
#define KBD_A9 310	/* Alt-9 */
#define KBD_A0 311	/* Alt-0 */
#define KBD_AA 330	/* Alt-A */
#define KBD_AB 348	/* Alt-B */
#define KBD_AC 346	/* Alt-C */
#define KBD_AD 332	/* Alt-D */
#define KBD_AE 318	/* Alt-E */
#define KBD_AF 333	/* Alt-F */
#define KBD_AG 334	/* Alt-G */
#define KBD_AH 335	/* Alt-H */
#define KBD_AI 323	/* Alt-I */
#define KBD_AJ 336	/* Alt-J */
#define KBD_AK 337	/* Alt-K */
#define KBD_AL 338	/* Alt-L */
#define KBD_AM 350	/* Alt-M */
#define KBD_AN 349	/* Alt-N */
#define KBD_AO 324	/* Alt-O */
#define KBD_AP 325	/* Alt-P */
#define KBD_AQ 316	/* Alt-Q */
#define KBD_AR 319	/* Alt-R */
#define KBD_AS 331	/* Alt-S */
#define KBD_AT 320	/* Alt-T */
#define KBD_AU 322	/* Alt-U */
#define KBD_AV 347	/* Alt-V */
#define KBD_AW 317	/* Alt-W */
#define KBD_AX 345	/* Alt-X */
#define KBD_AY 321	/* Alt-Y */
#define KBD_AZ 344	/* Alt-Z */
#define KBD_AMN 312	/* Alt-- */
#define KBD_AEQ 313	/* Alt-= */

#define KBD_BS 8	/* bksp */

#define KBD_CBK 232	/* Ctrl-Break */
#define KBD_CDL 225	/* Ctrl-Del */
#define KBD_CDN 222	/* Ctrl-down */
#define KBD_CED 221	/* Ctrl-End */
#define KBD_CHM 227	/* Ctrl-Home */
#define KBD_CIN 220	/* Ctrl-Ins */
#define KBD_CLF 224	/* Ctrl-left */
#define KBD_CPD 223	/* Ctrl-PgDn */
#define KBD_CPS 231	/* Ctrl-PrtSc */
#define KBD_CPU 229	/* Ctrl-PgUp */
#define KBD_CRT 226	/* Ctrl-right */
#define KBD_CUP 228	/* Ctrl-up */

#define KBD_DL 205	/* Del */
#define KBD_DN 202	/* Cursor Down */
#define KBD_ED 201	/* End */
#define KBD_ES 27	/* ESC */
#define KBD_ET 10	/* Enter (return) */
#define KBD_F1 210	/* F1 */
#define KBD_F2 211	/* F2 */
#define KBD_F3 212	/* F3 */
#define KBD_F4 213	/* F4 */
#define KBD_F5 214	/* F5 */
#define KBD_F6 215	/* F6 */
#define KBD_F7 216	/* F7 */
#define KBD_F8 217	/* F8 */
#define KBD_F9 218	/* F9 */
#define KBD_F10 219	/* F10 */
#define KBD_F11 250	/* F11 (shift F1 - F10) */
#define KBD_F12 251	/* F12 */
#define KBD_F13 252	/* F13 */
#define KBD_F14 253	/* F14 */
#define KBD_F15 254	/* F15 */
#define KBD_F16 255	/* F16 */
#define KBD_F17 256	/* F17 */
#define KBD_F18 257	/* F18 */
#define KBD_F19 258	/* F19 */
#define KBD_F20 259	/* F20 */
#define KBD_F21 260	/* F21 (Ctrl F1 - F10) */
#define KBD_F22 261	/* F22 */
#define KBD_F23 262	/* F23 */
#define KBD_F24 263	/* F24 */
#define KBD_F25 264	/* F25 */
#define KBD_F26 265	/* F26 */
#define KBD_F27 266	/* F27 */
#define KBD_F28 267	/* F28 */
#define KBD_F29 268	/* F29 */
#define KBD_F30 269	/* F30 */
#define KBD_F31 270	/* F31 (Alt F1 - F10) */
#define KBD_F32 271	/* F32 */
#define KBD_F33 272	/* F33 */
#define KBD_F34 273	/* F34 */
#define KBD_F35 274	/* F35 */
#define KBD_F36 275	/* F36 */
#define KBD_F37 276	/* F37 */
#define KBD_F38 277	/* F38 */
#define KBD_F39 278	/* F39 */
#define KBD_F40 279	/* F40 */
#define KBD_HM 207	/* Home */
#define KBD_IN 200	/* Ins */
#define KBD_LF 204	/* Cursor Left */
#define KBD_PD 203	/* PgDn */
#define KBD_PS 230	/* PrtSc */
#define KBD_PU 209	/* PgUp */
#define KBD_RT 206	/* Cursor Right */
#define KBD_SED 201	/* shift End */
#define KBD_SHM 204	/* shift Home */
#define KBD_SP 32	/* space */
#define KBD_STB 208	/* shift tab (back tab) */
#define KBD_TB 9	/* tab */
#define KBD_UP 208	/* Cursor Up */
